using System;
using System.Windows.Forms;

namespace _ex_11_17
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            openFileDialog1.Multiselect = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
            //-------------------------------------------------------
            string[] fns = openFileDialog1.FileNames;
            //-------------------------------------------------------
            foreach (string item in fns)
                richTextBox1.Text += item + Environment.NewLine;
        }
    }
}